<template>
  <v-combobox
    outlined
    read-only
    :value="selected"
    :items="specialists"
    :item-text="specialists => specialists.user.name +' '+ specialists.user.fatherLastname +' '+ specialists.user.motherLastname"
    item-value="id"
    @keyup="() => { return false; }"
    @change="$emit('changeSpecialist', $event)"
  />
</template>

<script>
export default {
  name: 'ComboboxDoctors',
  props: {
    specialists: {
      type: Array,
      default: () => { return []; },
    },
    changeFunction: {
      type: Function,
      default: () => { return {}; },
    },
  },
  data: () => ({
    selected: null,
  }),
  mounted() {
    console.log('ESPECIALISTAS EN COMBO BOX', this.specialists);
    this.selected = this.specialists[0];
  },
  methods: {
  },
};
</script>
